<!-- Breadcrumb Start -->
<div class="container-m--x bredcrumb container-top" style="margin-top: -10px;">
    <div class="row px-4 f-14 lSpace" style="color: white;">
        <div class="col-md-5 d-flex">
            <span class="cursor" (click)="goToDefaultPage()"><i class="las la-home f-18 "></i></span>
            <span class="px-2"><i class="las la-angle-right f-12 "></i></span>
            <app-hint [id]="'app-store'"></app-hint>
            <span class="custom-breadcrumb cursor" (click)="goToEngineApps()">Intelligence Apps</span>
            <span class="px-2"><i class="las la-angle-right f-12 "></i></span><span
                class="bluebar-title-overflow custom-breadcrumb">{{engine_title}}</span>
            <!-- <button type="button" class="btn btn-default ml-4" (click)="open(mbslideModal, { windowClass: 'engine-right modal-slide ' })">Click Me!

           </button> -->
        </div>
        <div class="col-md-7 pr-0">
            <div class="float-right text-right d-flex">
                <!--  Data last updated -->
                <div class="mw-120" *ngIf="dash_info_list.length>0">
                    <button class="btn btn-sm   borderless md-btn-flat hide-arrow custom-text-hover f-14 lSpace"
                            (click)="openDialog(data_update_modal)">
                        <i class="mr-1  custom-text-hover mw-25 las la-info-circle fa-lg"></i>
                        Data Last Updated
                    </button>
                </div>
                <!--  Data last updated -->
                <!--  Outline -->
                <div class="mw-120" *ngIf="flow_data?.length>0">
                    <app-hint [id]="'outline'"></app-hint>
                    <button class="btn btn-sm   borderless md-btn-flat hide-arrow custom-text-hover f-14 lSpace"
                            (click)="outline_control()">
                        <i class="mr-1  custom-text-hover mw-25 las la-stream fa-lg"></i>
                        Outline
                    </button>
                </div>

            </div>
        </div>
    </div>
</div>
<!-- Breadcrumb End -->
<!-- outline- control -->
<div [ngClass]="outLineAnim">
    <outline-control [outline_control]="flow_data"
                     [type]="'normal'"
                     (observe_event)="callback_function($event);"
                     [activeState]="activeState"
                     [parent_group_name]="parent_group_name"
                     [scroll_to_index]="scroll_to_index"
                     *ngIf="show_outline_control"></outline-control>
</div>
<div class="row static_container1 pl-4 pr-2  f-16 bottom-shadow" style="color: white;" [class]="scrollclass">
    <div class="col-md-auto">
        <div class="text-gray55 d-flex align-items-center engine_toggle_logo">
            <img (click)="toggle_sidenav();" alt="Jarvix" class=" ml-1 mr-3" src="../../assets/imgs/hxlogo/hx_logo.svg"
                 style="width:30px;height:30px">
            <div class="f-20 text-nowrap ">
                <span class="mr-2">{{engine_title}}</span>
            </div>
        </div>
    </div>
    <div class="col d-flex justify-content-end">
        <app-hint [id]="'input-outline'"></app-hint>
        <div *ngFor="let sti_data of sticky_data;" class="d-flex mr-2 px-2 sticky-field-border">
            <div>
                <span class="text-gray77 f-10">{{sti_data.label}}</span>
                <div class="text-gray33 f-14 engine-sticky-text" position="bottom" [ngbPopover]="sti_data.pop"
                     triggers="mouseenter:mouseleave">{{sti_data.value}}</div>
            </div>
        </div>
        <div class="d-flex mr-2 px-2 align-items-center">
            <button class="btn btn-primary align-items-center p-1 outline_btn"
                    (click)="outline_control()">
                <i class="las la-stream f-20" style="padding-left: 1px;"></i>
            </button>
        </div>

    </div>
</div>
<!-- Filter Section Start-->
<div class="container-m--x one-row-data row px-5 hx-pro-px-1 product-affinity mb-4 align-items-center">
    <div class="row w-100">
        <div class="col-md-3 px-5 hx-pro-px-1  hx-pro-px-1">
            <div class="f-22 fw-500 WSF text-gray33">{{engine_title}}</div>
            <div class="font-weight-normal f-14 text-gray77 mt-2">{{engine_description}}</div>
        </div>
        <div class="col-md-3" *ngIf="callbacks?.length > 0">
            <div class="label font-weight-normal WSF text-gray33 mb-1 f-18 ">
                <span class="label font-weight-normal WSF text-gray33 mb-1 f-18 ">Inputs</span>
                <!-- <span class="text-gray99 WSF font-weight-normal f-14 cursor" (click)="reset_filters();" style="padding-left: 85px;">Reset</span> -->
            </div>
            <div class="btn-group">
                <div class="btn-group position-relative align-items-center Ffilter">
                    <div class="filters-shadow" *ngIf="callbacks?.length > 0">
                        <div class="float-left py-2 px-3  group-label mb-input-box  bg-white datePick">
                            <div class="d-flex">
                                <label class="mb-0 label-style pl-0 text-gray77 f-12">
                                    From Date</label>
                                <span style="cursor: pointer">
                                <span (click)="fromdate.toggleCalendar()">
                                    <i class="las la-calendar fa-lg"></i>
                                </span>
                            </span>
                            </div>
                            <div class="input-group ngx-data-ui mb-calendar">
                                <input
                                        class="form-control p-0 bg-transparent text_default input-box-style border-0 text-left  WSF cursor f-14 pb-1"
                                        placeholder="choose a date" [options]="datePickerOptions" name="dpfromdate"
                                        ngx-mydatepicker
                                        #fromdate="ngx-mydatepicker" [(ngModel)]="input_filters.fromdate"
                                        (click)="fromdate.toggleCalendar()"
                                        (dateChanged)="open_to_date()"
                                        (calendarToggle)="calendar_toggle($event, 'from')"
                                        style="min-height:20px !important;max-height:20px !important;">
                            </div>
                        </div>
                        <div class="float-left py-2 px-3  group-label mb-input-box ml-2 bg-white datePick">
                            <div class="d-flex">

                                <label class="mb-0 label-style pl-0 text-gray77 f-12">
                                    To Date</label>
                                <span style="cursor: pointer">
                                <span (click)="todate.toggleCalendar()">
                                    <i class="las la-calendar fa-lg"></i>
                                </span>
                            </span>
                            </div>
                            <div class="input-group ngx-data-ui mb-calendar">
                                <input
                                        class="form-control p-0 bg-transparent text_default input-box-style border-0 text-left  WSF cursor f-14 pb-1"
                                        placeholder="choose a date" [options]="datePickerOptions_todate" name="dptodate"
                                        ngx-mydatepicker
                                        #todate="ngx-mydatepicker" [(ngModel)]="input_filters.todate"
                                        (click)="todate.toggleCalendar()"
                                        (dateChanged)="date_change($event, 'to')"
                                        (calendarToggle)="calendar_toggle($event, 'to')"
                                        style="min-height:20px !important;max-height:20px !important;">
                            </div>
                        </div>
                    </div>
                </div>
            </div>

        </div>
        <div class="col-md-6">
            <div class="label mb-1 f-18   mb-reset-text">
                <!-- <span class="font-weight-normal WSF text-gray33">Select Item</span> -->
                <span style="position: relative;" class="fw-500 WSF f-14 show-all-input float-right pr-1 cursor pt-1 hx-pro-pr-55"
                      (click)="openDialog(engine_filters,{windowClass: 'engine-right modal-slide'})">Show All Inputs
                <i class="fa fa-caret-right f-10 show-all-input"></i>
            </span>

            </div>
            <div>
                <!-- marketbasket filter -->
                <div class="btn-group position-relative align-items-center Ffilter">
                    <div class="filters-shadow">
                        <div
                                class="float-left py-2 px-3  group-label mb-input-box block-input-box close-block filterBorder bg-white datePick">
                            <label class="mb-0 label-style pl-0 text-left f-12">
                            <span class="float-left close-icon cursor" ngbTooltip="Remove this filter"
                                  placement="bottom">
                            </span>
                                <span class="text-gray77">Stores<span class="pl-1" style="color:red">*</span></span>
                            </label>
                            <div class="d-flex ">
                                <ss-multiselect-dropdown [disabled]="store_list.length==0"
                                                         class="custom-multiselect-top-dropdown"
                                                         [settings]="multiselect_settings"
                                                         [texts]="multiselect_texts_select" [options]="store_list"
                                                         [(ngModel)]="input_filters.stores">
                                </ss-multiselect-dropdown>
                                <!-- <div><i class="las la-angle-down pl-1"></i></div> -->
                            </div>
                        </div>
                        <div
                                class="float-left py-2 px-3  group-label mb-input-box block-input-box close-block filterBorder bg-white datePick">
                            <label class="mb-0 label-style pl-0 text-left f-12">
                            <span class="float-left close-icon cursor" ngbTooltip="Remove this filter"
                                  placement="bottom">
                            </span>
                                <span class="text-gray77">Product Category<span class="pl-1" style="color:red">*</span></span>
                            </label>
                            <div class="d-flex single-select-dropdown">
                                <ss-multiselect-dropdown [disabled]="product_categories_list.length==0"
                                                         class="custom-multiselect-top-dropdown"
                                                         [settings]="singleselect_settings"
                                                         [texts]="multiselect_texts_select"
                                                         [options]="product_categories_list"
                                                         (ngModelChange)="multiselect_product_change($event, 'product_category')"
                                                         [(ngModel)]="input_filters.product_categories">
                                </ss-multiselect-dropdown>
                                <!-- <div><i class="las la-angle-down pl-1"></i></div> -->
                            </div>
                        </div>
                        <div
                                class="float-left py-2 px-3  group-label mbcustomengine-input-box block-input-box close-block filterBorder bg-white datePick"
                                placement="bottom"
                                ngbTooltip="{{product_list.length>0 ? '' : 'Please select Product Category'}}">
                            <label class="mb-0 label-style pl-0 text-left f-12">
                            <span class="float-left close-icon cursor">
                            </span>
                                <span class="text-gray77">Items<span class="pl-1" style="color:red">*</span></span>
                            </label>
                            <div class="d-flex single-select-dropdown">
                                <ss-multiselect-dropdown [disabled]="product_list.length==0"
                                                         class="mbcustom-multiselect-top-dropdown"
                                                         [settings]="lazy_singleselect_settings"
                                                         [texts]="{defaultTitle:product_default_Title}"
                                                         [options]="lazy_product_list"
                                                         (onLazyLoad)="load_products_data($event)"
                                                         [(ngModel)]="input_filters.products">
                                </ss-multiselect-dropdown>
                                <!-- <div><i class="las la-angle-down pl-1"></i></div> -->
                            </div>
                        </div>

                    </div>
                </div>
            </div>
            <!-- <div class="label mb-1 f-18  d-flex align-items-center reset-text" >
                <div class="font-weight-normal WSF text-gray33">Select Stores</div>
                <div class="f-14 blue-text float-right WSF font-weight-normal ml-auto cursor txtUnderline"  (click)="reset_filters();">Reset</div>
            </div> -->
            <!-- <div>
             
                <div class="btn-group position-relative align-items-center Ffilter">
                    <div class="filters-shadow">
                        <div class="float-left py-2 px-3  group-label mb-input-box close-block filterBorder bg-white datePick">
                            <label class="mb-0 label-style pl-0 text-left f-12">
                                <span class="float-left close-icon cursor" ngbTooltip="Remove this filter" placement="bottom">
                                </span>
                                <span class="text-gray77">State</span>
                            </label>
                            <div class="d-flex">
                                <ss-multiselect-dropdown [disabled]="state_list.length==0" class="custom-multiselect-top-dropdown"
                                                         [settings]="multiselect_settings"
                                    [texts]="multiselect_texts" [options]="state_list"
                                    (ngModelChange)="multiselect_store_change($event, 'state')" [(ngModel)]="input_filters.states">
                                </ss-multiselect-dropdown>
                                <div><i class="las la-angle-down pl-1"></i></div>
                            </div>
                        </div>
                        <div class="float-left py-2 px-3  group-label mb-input-box close-block filterBorder bg-white datePick">
                            <label class="mb-0 label-style pl-0 text-left f-12">
                                <span class="float-left close-icon cursor" ngbTooltip="Remove this filter" placement="bottom">
                                </span>
                                <span class="text-gray77">Region</span>
                            </label>
                            <div class="d-flex">
                                <ss-multiselect-dropdown [disabled]="region_list.length==0" class="custom-multiselect-top-dropdown"
                                                         [settings]="multiselect_settings"
                                    [texts]="multiselect_texts" [options]="region_list"
                                    (ngModelChange)="multiselect_store_change($event, 'region')" [(ngModel)]="input_filters.regions">
                                </ss-multiselect-dropdown>
                                <div><i class="las la-angle-down pl-1"></i></div>
                            </div>
                        </div>
                        <div class="float-left py-2 px-3  group-label mb-input-box close-block filterBorder bg-white datePick">
                            <label class="mb-0 label-style pl-0 text-left f-12">
                                <span class="float-left close-icon cursor" ngbTooltip="Remove this filter" placement="bottom">
                                </span>
                                <span class="text-gray77">Store</span>
                            </label>
                            <div class="d-flex">
                                <ss-multiselect-dropdown [disabled]="store_list.length==0" class="custom-multiselect-top-dropdown"
                                                         [settings]="multiselect_settings"
                                    [texts]="multiselect_texts" [options]="store_list" [(ngModel)]="input_filters.stores">
                                </ss-multiselect-dropdown>
                                <div><i class="las la-angle-down pl-1"></i></div>
                            </div>
                        </div>
                    </div>                  
                </div>
            </div> -->
            <!-- <div class="label mb-2 f-18 pt-2">
                <span class="f-14 blue-text  WSF font-weight-normal " >Show Optional Inputs</span><i class="fas fa-sort-down blue-text f-12 ml-1"></i>
            </div> -->
            <!-- <div class="pt-3"> -->
            <!-- <div class="btn-group position-relative align-items-center Ffilter"> -->
            <!-- <div class="filters-shadow">
                <div
                    class="float-left py-2 px-3  group-label mb-input-box close-block filterBorder bg-white ">
                    <label  class="mb-0 label-style pl-0 text-left f-12">
                        <span class="float-left close-icon cursor" ngbTooltip="Remove this filter"
                            placement="bottom">
                        </span>
                        <span class="text-gray77">When in the Day</span>
                    </label>
                    <div>
                        <ss-multiselect-dropdown class="custom-multiselect-top-dropdown"
                            [settings]="singleselect_settings" [texts]="multiselect_texts" [options]="state_list"
                            [(ngModel)]="input_filters.states">
                        </ss-multiselect-dropdown>
                    </div>
                </div>
                <div
                    class="float-left py-2 px-3  group-label mb-input-box close-block filterBorder bg-white ">
                    <label  class="mb-0 label-style pl-0 text-left f-12">
                        <span class="float-left close-icon cursor" ngbTooltip="Remove this filter"
                            placement="bottom">
                        </span>
                        <span class="text-gray77">What type of Order</span>
                    </label>
                    <div>
                        <ss-multiselect-dropdown class="custom-multiselect-top-dropdown"
                            [settings]="singleselect_settings" [texts]="multiselect_texts" [options]="state_list"
                            [(ngModel)]="input_filters.region">
                        </ss-multiselect-dropdown>
                    </div>
                </div>
                <div
                    class="float-left py-2 px-3  group-label mb-input-box close-block filterBorder bg-white ">
                    <label  class="mb-0 label-style pl-0 text-left f-12">
                        <span class="float-left close-icon cursor" ngbTooltip="Remove this filter"
                            placement="bottom">
                        </span>
                        <span class="text-gray77">Which Department</span>
                    </label>
                    <div>
                        <ss-multiselect-dropdown class="custom-multiselect-top-dropdown"
                            [settings]="singleselect_settings" [texts]="multiselect_texts" [options]="test_stores"
                            [(ngModel)]="input_filters.stores">
                        </ss-multiselect-dropdown>
                    </div>
                </div>
            </div> -->

            <!-- </div> -->
            <!-- <div   style="position: absolute;right:0px;bottom:-65px;">
                <button class="btn btn-primary f-14 WSF " style="margin-top:-20px;" (click)="apply_filters();">Run Analysis</button>
            </div> -->
            <!-- </div> -->
            <div class="position-relative mb-reset-text">
                <div class="btnRun btnBottom mb-reset-btn">
                    <button class="btn btn-primary f-18 WSF run-btn " (click)="apply_filters();">Run Analysis</button>
                </div>
            </div>

        </div>
    </div>


</div>
<!-- 
<div class="row">
    <div class="col-md-6">

    </div>
</div>
<hr /> -->
<!-- Filter Section Ends -->
<!-- Marketbasket Cards Start -->
<div class="pt-4">
    <div  style="display: flex;flex-direction: column" *ngFor="let flow_child of flow_data;index as i">
        <div style="flex-direction: row;">
            <div class="w-100 flow-child-group">
                <div id="button_{{flow_child.object_id}}">
                    <flow-marketbasket [position]="i" [totalPosition]="total_position" [length]="{}"
                                       (flowchild_event)="flowchild_callback($event);"
                                       [flow_child]="flow_child" [hidden]="false"
                                       (active_state)="active_state($event)"
                                       [page_type]="page_type"></flow-marketbasket>
                </div>
            </div>
        </div>
    </div>
</div>

<!-- Marketbasket Cards End -->
<div *blockUI="'global-loader'; template: blockTemplate"></div>
<ng-template #blockTemplate>
    <engine-loader [loaderArr]="loaderService.loaderArr"
                   *ngIf="loaderService.loaderArr && loaderService.loaderArr.length>0"></engine-loader>
    <div class="block-ui-template" *ngIf="!(loaderService.loaderArr.length>0)">
        <div class="app-splash-screen ">
            <div class="new-app-splash-screen-content text-center">
                <img src="../../assets/img/hx-loader-logo.svg" class="loader-svg">
            </div>
            <div class="loading-text-material pt-5 mt-4">
                <p class="text-center text-white" style="white-space: pre;">{{loadingText}} </p>
            </div>
        </div>
    </div>
</ng-template>
<ng-template #data_update_modal let-c="close" let-d="dismiss">
    <data-last-updated [dash_info_list]="dash_info_list" (data_event)="closeDialog();"></data-last-updated>
</ng-template>
<div class="end-div"></div>

<ng-template #engine_filters let-c="close" let-d="dismiss">
    <engine-filters (engine_filter_event)="engine_filter_callback($event);" [filter_inputs]="{

                    brand_list: brand_list,
                    zone_list: zone_list,
                    state_list:state_list,
                    region_list:region_list,
                    store_type_list:store_type_list,
                    city_list:city_list,
                    store_list:store_list,
                    
                    product_categories_list:product_categories_list,
                    product_list:product_list,
                    control_state_list:control_state_list,
                    control_region_list:control_region_list,
                    control_city_list:control_city_list,
                    control_store_list:control_store_list,

                    lazy_product_list:lazy_product_list,
                    lazy_singleselect_settings:lazy_singleselect_settings,
                    
                    input_filters:input_filters,
                    multiselect_settings:multiselect_settings,
                    engine_inputs: engine_inputs_data.marketbasket,
                    multiselect_texts: multiselect_texts,
                    multiselect_texts_select: multiselect_texts,
                    singleselect_settings: singleselect_settings}"></engine-filters>
</ng-template>
